﻿<%@ Control language="vb" Inherits="dnnWerk.Modules.Nuntio.Content.uc_Editor" AutoEventWireup="false" Explicit="True" Codebehind="uc_Editor.ascx.vb" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>

<div class="ncHd">
    <div class="ncTtCt">
        <asp:Literal ID="lblTitle" runat="server"></asp:Literal>
    </div>
    <div class="ncTbCt">
        <asp:TextBox ID="txtTitle" runat="server" CssClass="ncTitlebox"></asp:TextBox>
    </div>
    <div class="ncPbCt">
        <asp:CheckBox ID="chkIsPublished" runat="server" CssClass="ncPublished" />
    </div>    
    <div class="clearfix"></div>
</div>

<div class="ncEd">
    <dnn:texteditor id="ctlContent" runat="server" height="400" width="700"></dnn:texteditor>
</div>

<div class="ncEd">
    <div class="ncComCt">
        <asp:Literal ID="lblComment" runat="server"></asp:Literal>
    </div>
    <div class="ncTbCt">
        <asp:TextBox ID="txtComment" runat="server" CssClass="ncCommentbox"></asp:TextBox>
    </div>    
</div>

<div class="clearfix"></div>

<asp:Panel ID="pnlHistory" runat="server">
<div class="ui-widget-content ui-corner-all ncHist">
    <div class="ui-widget-header ui-corner-all ncHistBar">
        <a href="#" class="lnkHistory"><asp:Literal ID="lblShowHistory" runat="server"></asp:Literal></a>    
    </div>
    <div class="ncHistGrd">
        <asp:repeater ID="rptHistory" runat="server">
            <HeaderTemplate>
            
            <table cellspacing="0" cellpadding="0" class="nc_history">
                <tr>
                    <td class="nc_history_head"><asp:Literal ID="hdVersion" runat="server" Text="Version"></asp:Literal></td>
                    <td class="nc_history_head"><asp:Literal ID="hdDate" runat="server" Text="Created"></asp:Literal></td>
                    <td class="nc_history_head"><asp:Literal ID="hdAuthor" runat="server" Text="Author"></asp:Literal></td>
                    <td class="nc_history_head"><asp:Literal ID="hdComment" runat="server" Text="Comment"></asp:Literal></td>                                                         
                    <td class="nc_history_head" style="width:100px;">&nbsp;</td>
                </tr>
            
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td class='<%# GetRowCss(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>'>
                        <asp:Literal ID="lblVersion" Visible='<%#GetVersionVisibility(DataBinder.Eval(Container.DataItem, "Comment"))%>' Text='<%#DataBinder.Eval(Container.DataItem, "Version")%>' runat="server" /> 
                    </td>
                    <td class='<%# GetRowCss(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>'>
                        <%#GetDate(DataBinder.Eval(Container.DataItem, "CreatedDate"))%> 
                    </td>
                    <td class='<%# GetRowCss(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>'>
                        <%#GetUser(DataBinder.Eval(Container.DataItem, "CreatedBy"))%> 
                    </td>
                    <td class='<%# GetRowCss(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>'>
                        <%#GetComment(DataBinder.Eval(Container.DataItem, "Comment"), DataBinder.Eval(Container.DataItem, "UserComment"))%> 
                    </td>                    
                    <td class='<%# GetRowCss(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>' style="text-align:right; white-space:nowrap;">
                        <asp:LinkButton ID="cmdLoad" runat="server" Text='<%#GetText("cmdLoad") %>' CommandArgument='<%# DataBinder.Eval(Container.DataItem, "Version") & "|" & DataBinder.Eval(Container.DataItem, "Locale") %>' OnClick="cmdLoad_Click" Visible='<%#GetToolsVisibility(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>'></asp:LinkButton>
                        &nbsp;
                        <asp:LinkButton ID="cmdDelete" runat="server" Text='<%#GetText("cmdDelete") %>' CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ContentId") & "|" & DataBinder.Eval(Container.DataItem, "Locale") %>' OnClick="cmdDelete_Click" Visible='<%#GetToolsVisibility(DataBinder.Eval(Container.DataItem, "Version"),DataBinder.Eval(Container.DataItem, "Comment"))%>'></asp:LinkButton>
                    </td>                                        
                </tr>                
            </ItemTemplate>
            <FooterTemplate></table></FooterTemplate>
        </asp:repeater>
    </div>
</div>
</asp:Panel>

