﻿<%@ Control language="vb" Inherits="dnnWerk.Modules.Nuntio.Content.Edit" AutoEventWireup="false" Explicit="True" Codebehind="Edit.ascx.vb" %>
<%@ Register TagPrefix="NC" TagName="Options" Src="~/Desktopmodules/Nuntio.Content/Controls/uc_Options.ascx"%>
<%@ Register TagPrefix="NC" TagName="Preferences" Src="~/Desktopmodules/Nuntio.Content/Controls/uc_Preferences.ascx"%>

<script type="text/javascript">
    Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequestHandler);
    function BeginRequestHandler(sender, args) {
        jQuery(document).ready(function() {
            var position = jQuery(".ncMain").position();
            var progress = jQuery(".ncProgress");
            if (progress) {
                progress.css('position', 'absolute');
                progress.css('left', position.left);
                progress.css('top', position.top);
            }
        });
    }

    Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
    function EndRequestHandler(sender, args) {
        if (args.get_error() == undefined) {
            setEditUI();
            jQuery(".lnkHistory").click(function() {
                toggleHistory();
                return false;
            });

        }
    }
</script>
<div class="ncMain">
    <asp:UpdatePanel ID="ctlAjax" runat="server">
        
        <Triggers>
            <asp:PostBackTrigger ControlID="cmdUpdate" />
        </Triggers>
        
        <ContentTemplate>           
        
            <div class="ncTbSt">
            
                <ul>
                    <asp:PlaceHolder ID="plhTabs" runat="server"></asp:PlaceHolder>
                </ul>
                
                <asp:PlaceHolder ID="plhEditors" runat="server"></asp:PlaceHolder>

                <div id="tab_nc_Preferences">
                    <NC:Preferences ID="ucPreferences" runat="server" Identifier="nc_Preferences" />
                </div>
                
                <div id="tab_nc_Options">
                    <NC:Options ID="ucOptions" runat="server" Identifier="nc_Options" />
                </div>
                
                <div class="clearfix"></div>
                
                <div class="ncMdFt">

                    <div class="ncFbLc">
                        <span style="margin-left:1px;"><asp:Literal ID="lblModuleFallback" runat="server"></asp:Literal></span>
                        <asp:DropDownList ID="drpFallbackLocale" runat="server" CssClass="drpFb"></asp:DropDownList>
                    </div>
        
                    <div class="ncBtn">
                        <asp:LinkButton ID="cmdUpdate" runat="server" CssClass="ncButton ui-state-default ncButtonIconLeft ui-corner-all"><span class="ui-icon ui-icon-circle-check"></span><span class="pncButtonLink"><asp:Literal ID="lblUpdateButton" runat="server">Update</asp:Literal></span></asp:LinkButton>
                        <asp:LinkButton ID="cmdUpdateExit" runat="server" CssClass="ncButton ui-state-default ncButtonIconLeft ui-corner-all"><span class="ui-icon ui-icon-circle-check"></span><span class="pncButtonLink"><asp:Literal ID="lblUpdateExitButton" runat="server">Update & Exit</asp:Literal></span></asp:LinkButton>
                        <asp:LinkButton ID="cmdCancel" runat="server" CssClass="ncButton ui-state-default ncButtonIconLeft ui-corner-all"><span class="ui-icon ui-icon-circle-arrow-w"></span><span class="pncButtonLink"><asp:Literal ID="lblCancelButton" runat="server">Update</asp:Literal></span></asp:LinkButton>
                        <asp:LinkButton ID="cmdDelete" runat="server" CssClass="ncButton ui-state-default ncButtonIconLeft ui-corner-all"><span class="ui-icon ui-icon-circle-close"></span><span class="pncButtonLink"><asp:Literal ID="lblDeleteButton" runat="server">Update</asp:Literal></span></asp:LinkButton>
                        <div style="display:none;"><asp:TextBox ID="txtSelectedTab" runat="server" CssClass="ncSelTab" Visible="true"></asp:TextBox></div>          
                        <div class="clearfix"></div>
                    </div> 
                    
                    <div class="clearfix"></div>
                        
                </div>
            
            </div> 
                
               
        </ContentTemplate>
        
    </asp:UpdatePanel>

    <asp:UpdateProgress ID="ctlUpdateProgress" runat="server" AssociatedUpdatePanelID="ctlAjax" DisplayAfter="0" DynamicLayout="true">
        <ProgressTemplate>        
            <div class="ncProgress">
                <p>Bitte warten...</p>
            </div>
        </ProgressTemplate>
    </asp:UpdateProgress>
    
</div>

